require File.expand_path(File.dirname(__FILE__) + '/helper')
require File.expand_path(File.dirname(__FILE__) + '/fixtures/reloadable_apps/main/app')

describe "ExternalReloader" do
  describe "for external app" do
    before do
      Tennpipes.clear!
      Tennpipes.mount("ReloadableApp::External").to("/reloadable/external")
      Tennpipes.mount("ReloadableApp::Main").to("/reloadable")
      Tennpipes.load!
    end

    it "should avoid reloading the file if its path is not started with Tennpipes.root" do
      @app = Tennpipes.application
      Tennpipes.stub(:root, File.expand_path(File.dirname(__FILE__) + '/fixtures/reloadable_apps/main')) do
        get "/reloadable/external/base"
      end
      assert_equal "Hello External App", body
    end
  end
end
